<?php define("IN_MYBB", "1"); require("./global.php");

global $mybb;

$ui = $mybb->user['uid'];
$ug = $mybb->user['usergroup'];

if (!$mybb->user['uid'])
	error_no_permission();

$ban = explode(",",$mybb->settings['parspal_ban']) ;
if(in_array($ui,$ban))
	error_no_permission();

$bang = explode(",",$mybb->settings['parspal_bang']) ;
if(in_array($ug,$bang))
	error_no_permission();

$query = $db->simple_select('usergroups', 'title, gid', '', array('order_by' => 'gid', 'order_dir' => 'asc'));
while($group = $db->fetch_array($query, 'title, gid'))
	$groups[$group['gid']] = $group['title'];


$query = $db->simple_select('parspal', '*', '', array('order_by' => 'price', 'order_dir' => 'ASC'));

while ($parspal = $db->fetch_array($query))
{
	$bgcolor = alt_trow();
	$parspal['num'] = intval($parspal['num']);
	$parspal['title'] = htmlspecialchars_uni($parspal['title']);

	$parspal['price'] = floatval($parspal['price']).' تومان ';
	$parspal['usergroup'] = $groups[$parspal['group']];

	if($parspal['time']== 1)
		$time= "روز";

	if($parspal['time']== 2)
		$time= "هفته";

	if($parspal['time']== 3)
		$time= "ماه";

	if($parspal['time']== 4)
		$time= "سال";

	$period = intval($parspal['period']);
	$parspal['period'] = intval($parspal['period'])." ".$time;
	$uid = $mybb->user['uid'];
	$query5 = $db->query("SELECT * FROM ".TABLE_PREFIX."parspal_tractions WHERE uid=$uid AND stauts = 1");
	$check5 = $db->fetch_array($query5);
	if ($check5)
	{
		$note = "<div class=\"red_alert\">به دلیل اینکه شما قبلاً یکی از این بسته ها را خریداری کرده اید و زمان عضویت شما به پایان نرسیده است ، نمی توانید بسته ی جدیدی را خریداری نمایید </div>";
		$buybutton = "<input type='image' src='{$mybb->settings['bburl']}/images/buy-pack.png' border='0' name='submit'alt='خرید بسته {$parspal['title']}' />";
	}
	else
		$buybutton = "<form action='{$mybb->settings['bburl']}/parspal_connect.php' method='post'>
						<input type='hidden' name='parspal_num' value='{$parspal['num']}' />
						<input type='image' src='{$mybb->settings['bburl']}/images/buy-pack.png' border='0' name='submit'alt='خرید بسته {$parspal['title']}' />
					</form>";

	eval("\$list .= \"".$templates->get('parspal_list_table')."\";");
}

if (!$list)
	eval("\$list = \"".$templates->get('parspal_no_list')."\";");

eval("\$parspalpage = \"".$templates->get('parspal_list')."\";");
output_page($parspalpage);
?>